<?php

namespace Drupal\services_token;

/**
 * Determines the realm to be used to generate and authenticate tokens.
 */
interface RealmResolverInterface {

  /**
   * Returns the realm to be used to generate / authenticate tokens.
   */
  function resolveRealm(): string;

}
